Subject: bug#18759: 24.3.94; Yank from clipboard crashes

From: Donald Tillman <[email-masked]>
Date: Sun, 19 Oct 2014 15:44:50 -0700

Some more experiments...

I just upgraded from Mavericks to Yosemite, and the problem persists there, too.

I have this in my .emacs file:
(set-default-font "-apple-monaco-medium-r-normal--10-100-72-72-m-100-mac-roman")

If I comment that out, or remove the .emacs file entirely, the crash no longer occurs.

Specifically, command-c copying a Soft Return from a Pages document, and c-y yanking into an Emacs buffer inserts text that appears to be a thin and tall space.  hexl-mode tells me the yanked-in text is "e280a8".

Perhaps I'm using an ancient and no longer appropriate way to set the default font a little smaller.

  -- Don

--
Don Tillman
Palo Alto, California
[email-masked]
http://www.till.com